gap2caf-2.1.0 compilation problem

2013-07-29
2013-08-05
  • Istvan Nagy

    Istvan Nagy - 2013-07-29

    I failed to compile gap2caf on a 64bit Linux system.
    The binary and source packages of the latest Staden package are available on my system and they were defined for configure using the --with-stadenroot= and --with-stadensrc= variables. I understand that a tcl package is also needed, therefore I compiled tcl8.4.20 from sources.(Besides this, I have a standard Debian tcl/tk packages installed, and a fully functional ActiveTcl-8.5 installation as well.) I run configure with the --with-tcl=/usr/local/tcl8.4.20/generic option (this directory contains the tcl.h file).
    However, I get an error message saing:
    "checking for location of tcl.h... configure: error: Could not find tcl.h"

    Getting precompiled gap2caf binaries would be an option, Unfortunatelly, I couldn't find any download sites for that.
    I found a newsgroup post from 2010 indicating that:

    ===================================================================================
    James has also made publicly available a couple of pre-compiled binaries of gap2caf. Both the dynamically linked and static equivalents are on the sanger ftp site in:

    ftp://ftp.sanger.ac.uk/pub/jkb/

    However, this ftp link is DEAD.

    Cheers

    Istvan

     
    • James Bonfield

      James Bonfield - 2013-08-02

      Our web team "kindly" moved all our ftp locations around :-(. The new link is ftp://ftp.sanger.ac.uk/pub/users/jkb/

      However I've no idea if that binary still works on more modern operating systems.

      What source tarball are you compiling from? I just tried the version at ftp://ftp.sanger.ac.uk/pub/PRODUCTION_SOFTWARE/src/gap2caf-2.1.0.tar.gz and it built for me. We do locally have a slightly updated version (we ought to update the ftp site), but the changes were minimal and relating to additional error checking and that it now outputs contigs in the same order as shown in gap4.

      James

       
      • Istvan Nagy

        Istvan Nagy - 2013-08-05

        Thank you for the download link !

        The static version is working well on x86_64 Linux with an 3.5.0-17 kernel. The dynamic version is complaining about missing libtk_utils libraries.
        I tried to compile from the 2.1.0 source tarball. The key is
        probably is how to define the the proper path to the tcl libraries for configure, what I didn't manage by using eiither of the followings:
        --with-tcl=/usr/local/tcl8.4.20/
        --with-tcl=/usr/local/tcl8.4.20/generic
        --with-tcl=/usr/local/ActiveTcl/include

         

Log in to post a comment.